jv.geom

## Class PgEdgeStar

- java.lang.Object
- - jv.vecmath.P_Vector
  - - jv.vecmath.PiVector
    - - jv.geom.PgEdgeStar

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public final class PgEdgeStar
      extends PiVector

  Edge of an element set with indices to both endpoints, adjacent elements, and local index of a vertex in each element, whose neighbour refers to an element at this edge.

  There may be more than two elements joining an edge.

  Note, when superclass was changed to PiVector then method this#getSize() was renamed to this#getValence() to avoid conflict PiVector#getSize().

  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    23.06.07, 3.10 revised (kp) m_maxValence added to avoid too many allocations.
    02.07.06, 3.00 revised (kp) Superclass changed to PiVector to allow usage as PiVector [] array.
    Note, method this#getSize() renamed to this#getValence() since conflict with superclass.
    23.12.01, 2.10 revised (ep) Internationalization.
    23.06.00, 2.00 revised (kp) Superclass changed to P_Vector to allow tagging.
    02.04.00, 1.20 revised (kp) Allocate array of 2 during construction to avoid reallocation.
    03.09.99, 1.10 revised (kp) Former inner class of PgElementSet converted to public class.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class jv.vecmath.PiVector

      `m_data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgEdgeStar()` Create a new edge.
    `PgEdgeStar(int v1, int v2)` Create a new edge with given start and end point, and valence zero.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(int elemInd, int locNeighInd)` Add another element and the local index of its vertex opposite to the edge.
    `java.lang.Object` | `clone()` Clone object and all instance variables.
    `void` | `copy(PiVector object)` Copy instance variables by duplication, not by copying a reference.
    `int` | `getEdgeInd(int ind)` Deprecated. since JavaView 3.96.026, use getVertexInd(int).
    `int[]` | `getElementInd()` Get array with indices of adjacent elements.
    `int` | `getElementInd(int ind)` Get index of element at position 'ind'.
    `int[]` | `getElements()` Deprecated. since JavaView 3.96.026, use getElementInd().
    `int[]` | `getNeighbourLocInd()` Get array containing the local index of neighbour vertex of all elements.
    `int` | `getNeighbourLocInd(int ind)` Get local index of neighbour vertex of element at position 'ind'.
    `int[]` | `getNeighbourLocIndices()` Deprecated. since JavaView 3.96.026, use getNeighbourLocInd().
    `int` | `getValence()` Get currently number of adjacent elements sharing this edge.
    `int` | `getVertexInd(int ind)` Get index of first or second vertex of edge.
    `void` | `setElementInd(int ind, int elemInd)` Set index of element at valence position 'ind' within 0 and current valence.
    `void` | `setMaxValence(int val)` Allocate storage to handle given number of adjacent elements.
    `void` | `setNeighbourLocInd(int ind, int locNeighInd)` Set local index of adjacent element at valence position 'ind' within 0 and current valence.
    `void` | `setValence(int val)` Set currently number of adjacent elements sharing this edge.
    `java.lang.String` | `toString()` Create a multi-line string representation with detailed information about all instance variables.

    - ### Methods inherited from class jv.vecmath.PiVector

      `add, add, add, add, addEntry, adjustSizes, alloc, average, blend, blend, blendBase, blendNew, changeValue, changeValue, concat, concatNew, contains, copy, copy, copy, copyArray, copyNew, copyNew, copyNew, copyNew, dist, dot, dot, equals, equals, equals, getEntries, getEntries, getEntry, getFirstEntry, getIndexOf, getLastEntry, getLength, getSameSize, getSize, hasUniqueEntries, indexOfAbsMax, indexOfAbsMin, indexOfMax, indexOfMin, indexOfValueInOrdering, invert, invert, leftMultMatrix, leftMultMatrix, length, max, max, maxAbs, min, min, multScalar, multScalar, normalize, normalize, realloc, realloc, removeEntry, removeSuccessiveDuplicates, rightMultMatrix, rightMultMatrix, set, set, set, set, set, set, set, set, setConstant, setConstant, setConstant, setConstant, setConstant, setEntry, setFirstEntry, setLastEntry, setLength, setSize, shift, sort, sort, sqrDist, sqrLength, sub, sub, subNew, sum, toShortString`

    - ### Methods inherited from class jv.vecmath.P_Vector

      `clearTag, clone, clone, copy, getBits, getDetail, getName, getURL, hasTag, invert, setDetail, setName, setTag, setURL`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgEdgeStar

          public PgEdgeStar()

      Create a new edge.

    - #### PgEdgeStar

          public PgEdgeStar(int v1,
                            int v2)

      Create a new edge with given start and end point, and valence zero.

  - ### Method Detail

    - #### copy

          public void copy(PiVector object)

      Copy instance variables by duplication, not by copying a reference.
      Overrides:
        `copy` in class `PiVector`
      Parameters:
        `object` - source vector to copy
      Since:
        JavaView 3.96.031
      See Also:
        `clone()`
      Version:
        08.07.06, 1.00 created (kp)

    - #### clone

          public java.lang.Object clone()

      Clone object and all instance variables.
      Overrides:
        `clone` in class `PiVector`
      Since:
        JavaView 3.96.031
      See Also:
        `copy(PiVector)`
      Version:
        08.07.06, 1.00 created (kp)

    - #### toString

          public java.lang.String toString()

      Create a multi-line string representation with detailed information about all instance variables.
      Overrides:
        `toString` in class `PiVector`
      See Also:
        `PiVector.toShortString()`

    - #### getValence

          public int getValence()

      Get currently number of adjacent elements sharing this edge.
      Since:
        JavaView 3.96.026, replaces original method getSize() since conflict with PiVector#getSize().

    - #### setValence

          public void setValence(int val)

      Set currently number of adjacent elements sharing this edge.
      Since:
        JavaView 3.96.026

    - #### setMaxValence

          public void setMaxValence(int val)

      Allocate storage to handle given number of adjacent elements.
      Since:
        JavaView 3.96.026

    - #### addElement

          public void addElement(int elemInd,
                                 int locNeighInd)

      Add another element and the local index of its vertex opposite to the edge. Valence if this edge is incremented by one.

    - #### getEdgeInd

          public int getEdgeInd(int ind)

      Deprecated. since JavaView 3.96.026, use getVertexInd(int).
      Get index of first or second vertex of edge.
      Parameters:
        `ind` - index of first (ind==0) or second (ind==1) vertex of edge
      Returns:
        index of edge vertex within [0,numVertices-1], where numVertices refers to an element set.

    - #### getVertexInd

          public int getVertexInd(int ind)

      Get index of first or second vertex of edge.
      Parameters:
        `ind` - index of first (ind==0) or second (ind==1) vertex of edge
      Returns:
        index of edge vertex within [0,numVertices-1], where numVertices refers to an element set.
      Since:
        JavaView 3.96.026

    - #### getElements

          public int[] getElements()

      Deprecated. since JavaView 3.96.026, use getElementInd().
      Get array with indices of adjacent elements.

    - #### getElementInd

          public int[] getElementInd()

      Get array with indices of adjacent elements.

    - #### getElementInd

          public int getElementInd(int ind)

      Get index of element at position 'ind'.

    - #### setElementInd

          public void setElementInd(int ind,
                                    int elemInd)

      Set index of element at valence position 'ind' within 0 and current valence.

    - #### getNeighbourLocIndices

          public int[] getNeighbourLocIndices()

      Deprecated. since JavaView 3.96.026, use getNeighbourLocInd().
      Get array containing the local index of neighbour vertex of all elements.

    - #### getNeighbourLocInd

          public int[] getNeighbourLocInd()

      Get array containing the local index of neighbour vertex of all elements.

    - #### getNeighbourLocInd

          public int getNeighbourLocInd(int ind)

      Get local index of neighbour vertex of element at position 'ind'.

    - #### setNeighbourLocInd

          public void setNeighbourLocInd(int ind,
                                         int locNeighInd)

      Set local index of adjacent element at valence position 'ind' within 0 and current valence.

"

The software JavaView? is copyright protected. All Rights Reserved.
"